## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_with check

Name:		mongoose
Version:	7.13

%global forgeurl https://github.com/cesanta/mongoose
# upstream use tag without the v prefix
%global tag %{version}

%global _soversion %(v=%{version}; IFS='.'; set -- ${v}; echo $1)

%forgemeta

Summary:	Embedded Web Server
Release:	%autorelease
License:	GPL-2.0-only
URL:		https://mongoose.ws/
Source:		%{forgesource}

Patch0:		0001-build-use-pkg-config-in-Makefile.patch

BuildRequires:	make
BuildRequires:	gcc
BuildRequires:	pkgconfig(openssl)


%description
Mongoose is a network library for C/C++. It implements event-driven
non-blocking APIs for TCP, UDP, HTTP, WebSocket, MQTT. It is designed
for connecting devices and bringing them online. On the market since
2004, used by vast number of open source and commercial products - it
even runs on the International Space Station! Mongoose makes embedded
network programming fast, robust, and easy.

%package devel
Summary:	Header files and development libraries for %{name}
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains the header files and development libraries
for %{name}.

%package static
Summary:	Static library for %{name}
Requires:	%{name}-devel%{?_isa} = %{version}-%{release}

%description static
This package contains static libraries for %{name}.

%prep
%forgeautosetup -p1

%build
%make_build linux-libs VERSION=%{_soversion} SSL=OPENSSL

%install
mkdir -p %{buildroot}%{_libdir} %{buildroot}%{_includedir}
%make_install PREFIX=%{_prefix} LIBDIR=%{_libdir} INCLUDEDIR=%{_includedir} VERSION=%{_soversion} SSL=OPENSSL

pushd %{buildroot}%{_libdir}
mv lib%{name}.so.%{_soversion} lib%{name}.so.%{version}
# I have absolutely no idea how they've done that
chmod +x lib%{name}.so.%{version}
ln -s lib%{name}.so.%{version} lib%{name}.so.%{_soversion}
popd

# unit tests requires internet and depend on external site behaviors, disable for now
%if %{with check}
%check
%_set_build_flags
%make_build test
%endif

%files
%doc README.md
%license LICENSE
%{_libdir}/lib%{name}.so.%{_soversion}*

%files devel
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so

%files static
%{_libdir}/lib%{name}.a

%changelog
## START: Generated by rpmautospec
* Sun Nov 12 2023 Zephyr Lykos <fedora@mochaa.ws> - 7.12-1
- Update to 7.12
- Cleanup spec file and patches

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.1-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.1-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.1-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.1-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.1-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.1-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Sep 14 2021 Sahana Prasad <sahana@redhat.com> - 3.1-20
- Rebuilt with OpenSSL 3.0.0

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.1-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.1-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 3.1-6
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul  5 2012 Rafael Azenha Aquini <aquini at linux dot com> - 3.1-1
- Packaged mongoose's upstream 3.1 release.
- Introduced -lib -devel sub-packages (804843)
- Change build option to -DNO_SSL_DL (804844)

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Aug 27 2011 Rafael Azenha Aquini <aquini at linux dot com> - 3.0-2
- Add upstream patch to fix CVE-2011-2900 (729146)

* Mon Jul 25 2011 Rafael Azenha Aquini <aquini at linux dot com> - 3.0-1
- Rebuilt for Fedora's inclusion, after scracth-build successful tests.

* Mon Jul 25 2011 Rafael Azenha Aquini <aquini at linux dot com> - 3.0-0
- Packaged mongoose's upstream 3.0 release.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.11-1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Sep 28 2010 Rafael Azenha Aquini <aquini at linux dot com> - 2.11-0
- Packaged the mongoose's upstream 2.11 release.

* Wed Jul 21 2010 Rafael Azenha Aquini <aquini at linux dot com> - 2.8-6
- Adjust the approach to grab correct OpenSSL versioned shared libs in
  build time, as suggested by Toshio Ernie Kuratomi (592670#c25)
- Open an upstream issue asking for shipping a license file within mongoose's
  .tar file (http://code.google.com/p/mongoose/issues/detail?id=159)

* Tue Jul 13 2010 Rafael Azenha Aquini <aquini at linux dot com> - 2.8-5
- Get dinamically the correct OpenSSL versioned shared libs in build time,
  as suggested by Douglas Schilling Landgraf (592670#c21)

* Wed May 19 2010 Rafael Azenha Aquini <aquini at linux dot com> - 2.8-4
- Drop off all source files from doc dir, including the examples
- Add patch to define correct OpenSSL versioned shared libs in build time,
  as suggested by Ralf Corsepius (592670#c19)

* Tue May 18 2010 Rafael Azenha Aquini <aquini at linux dot com> - 2.8-3
- Several improvements to the Spec, by Terje RÃ¸sten's review (592670#c3)
- Added /examples dir to docs, as suggested by Chen Lei's review (592670#c4)

* Mon May 17 2010 Rafael Azenha Aquini <aquini at linux dot com> - 2.8-2
- Set of fixes to the Spec file, suggested by Chen Lei's review (592670#c1)

* Sat May 15 2010 Rafael Azenha Aquini <aquini at linux dot com> - 2.8-1
- initial packaging.

## END: Generated by rpmautospec
